import React from 'react';
import PropTypes from 'prop-types';

import Svg from './util/svg';

const Menu = ({ vertical, ...props }) =>
  vertical ? (
    <Svg height="24" width="24" viewBox="0 0 24 24" {...props}>
      <path
        d="M12 8c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm0 2c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0 6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z"
        fill="currentColor"
      />
    </Svg>
  ) : (
    <Svg height="24" width="24" viewBox="0 0 24 24" {...props}>
      <path
        d="M6 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm12 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm-6 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z"
        fill="currentColor"
      />
    </Svg>
  );

Menu.propTypes = {
  vertical: PropTypes.bool,
};

Menu.defaultProps = {
  vertical: false,
};

export { Menu as default };
